Bug 434889 - Add support for WEBP images
Summary: Add support for WEBP images
Status: RESOLVED FIXED
Alias: None
Product: okular
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Okular developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-24 15:08 UTC by Lonnie
Modified: 2021-03-25 23:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lonnie 2021-03-24 15:08:45 UTC
Okular doesn't allow you to open webp images. Please add support.

WEBP Support in Web Browsers:
https://caniuse.com/webp

Info:
https://developers.google.com/speed/webp
Comment 1 Bug Janitor Service 2021-03-24 22:49:12 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/okular/-/merge_requests/386
Comment 2 Albert Astals Cid 2021-03-25 23:12:11 UTC
Git commit c38af3e695be5e0cd59732effdc5bb7d63a67951 by Albert Astals Cid.
Committed on 24/03/2021 at 22:42.
Pushed by aacid into branch 'release/21.04'.

Add a few more formats supported by qimageformat plugins
Related: bug 434888

M  +6    -1    generators/kimgio/libokularGenerator_kimgio.json
M  +1    -1    generators/kimgio/okularApplication_kimgio.desktop
M  +1    -1    generators/kimgio/okularKimgio.desktop
M  +1    -1    generators/kimgio/org.kde.mobile.okular_kimgio.desktop

https://invent.kde.org/graphics/okular/commit/c38af3e695be5e0cd59732effdc5bb7d63a67951